summaryrefslogtreecommitdiff
path: root/net-mail
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-08-28 03:04:46 -0500
committerroot <root@alpha.trunkmasters.com>2026-08-28 03:04:46 -0500
commitc21ba35eb4039c697aed1e9e3dcbc6d62763cf37 (patch)
tree20b59304da94a8437dbae4ac8be33a0aaee85913 /net-mail
parent2becf90cbeed1e8431dfd896e8a1b0e52085a807 (diff)
downloadbaldeagleos-repo-c21ba35eb4039c697aed1e9e3dcbc6d62763cf37.tar.gz
baldeagleos-repo-c21ba35eb4039c697aed1e9e3dcbc6d62763cf37.tar.xz
baldeagleos-repo-c21ba35eb4039c697aed1e9e3dcbc6d62763cf37.zip
Adding metadata
Diffstat (limited to 'net-mail')
-rw-r--r--net-mail/goimapnotify/Manifest1
-rw-r--r--net-mail/goimapnotify/goimapnotify-2.5.6-r1.ebuild2
-rw-r--r--net-mail/goimapnotify/goimapnotify-2.5.8.ebuild37
3 files changed, 39 insertions, 1 deletions
diff --git a/net-mail/goimapnotify/Manifest b/net-mail/goimapnotify/Manifest
index cfdfc409fe77..8c51bcaa367d 100644
--- a/net-mail/goimapnotify/Manifest
+++ b/net-mail/goimapnotify/Manifest
@@ -4,3 +4,4 @@ DIST goimapnotify-2.5.6-vendor.tar.xz 984188 BLAKE2B 0dc47444c35b669bda2c737fc5c
DIST goimapnotify-2.5.6.tar.gz 68447 BLAKE2B 10f362e229e306d9ccf11c5c4106b25df741abea630e1b572fd5c9104922087e22e5048e8fabc94f57a207af5d0c3573c0c09e94004b82b3fa383864e4f3fd9a SHA512 4e296309fadab30339e3b8623c3920880c6647cbc341d224e0c559c92a83a93626c3d2b075e3739d92a6d6da844f5787a05c04e4b1b8fca4b00d0c580b05afac
DIST goimapnotify-2.5.7-vendor.tar.xz 981332 BLAKE2B 8a304bf8c1b0e8abbfad45d5bf29abd7d11dbffe6081092e1262b37f9ac8f33319960cc43ffc705ed8280b393808bc43e48110e649ee1b4970daf6fe507f32da SHA512 7271d1b224453b6da893873b1fd8a12ca82caa8f3e72e78c236192970fd4f8ee0229075c48e6fd2aa230a2806de54e5f7823f1ffb04e441955a6cebeb0d0d27f
DIST goimapnotify-2.5.7.tar.gz 69987 BLAKE2B fa4a1030da3f0d7503805b1d137afda8564ac8a9cecfd7eb14d164b0417784cb37b038ea45aefd506bfda263d787534aa9855eaae2a8301e06bf889851ef5ee8 SHA512 49a02a5fb94f65b37b29331bbdc9216728de46dd94d41e15fd7e606eb166263d25403311da5d53f8f4d34682795be69d885e79cefcfd022ca4f5769d8dbe8412
+DIST goimapnotify-2.5.8.tar.gz 2433056 BLAKE2B 58c925e5ab822f55cbfbfb97b90af335acc2120af08f34e395096b500637b8c6397159e4c41d2ffefe835f8a3195dbf51b64cb8fd7c57f0d40d54a2540040175 SHA512 018c5a52378b183018ae0e1ce8b0dbbc0894cb40bb285f4ee1a634be6c1d2b933a2a21558482e4195ce47210dc5c6116ebcd57d9b67733e53d23ecc0428d8f7f
diff --git a/net-mail/goimapnotify/goimapnotify-2.5.6-r1.ebuild b/net-mail/goimapnotify/goimapnotify-2.5.6-r1.ebuild
index 1103d249baf8..d00772e7bd2c 100644
--- a/net-mail/goimapnotify/goimapnotify-2.5.6-r1.ebuild
+++ b/net-mail/goimapnotify/goimapnotify-2.5.6-r1.ebuild
@@ -5,7 +5,7 @@ EAPI=8
inherit go-module git-r3
-DESCRIPTION="Execute scripts on IMAP mailbox changes using IDLE, golang version."
+DESCRIPTION="Execute scripts on IMAP mailbox changes using IDLE, golang version"
EGIT_REPO_URI="https://jardin.jorgearaya.dev/z39RJHSHs166S5kr8Qstj6kd1LFah.git"
EGIT_COMMIT="251292f1544bf3c69ae6c8a325beb2930d6509b2"
diff --git a/net-mail/goimapnotify/goimapnotify-2.5.8.ebuild b/net-mail/goimapnotify/goimapnotify-2.5.8.ebuild
new file mode 100644
index 000000000000..302465f5d5d5
--- /dev/null
+++ b/net-mail/goimapnotify/goimapnotify-2.5.8.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Execute scripts on IMAP mailbox changes using IDLE, golang version"
+
+HOMEPAGE="https://radicle.network/nodes/jardin.jorgearaya.dev/rad:z39RJHSHs166S5kr8Qstj6kd1LFah"
+
+# The official radicle repo does not support archive downloads by tag,
+# therefore we have to hardcode the commit hash
+GIT_COMMIT="7d8181fe3451f91d9ecd7e570c9e06677a555675"
+GIT_BRANCH="master"
+
+SRC_URI="https://jardin.jorgearaya.dev/raw/rad:z39RJHSHs166S5kr8Qstj6kd1LFah/${GIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3 MIT MPL-2.0 BSD BSD-2 Apache-2.0"
+
+SLOT="0"
+
+KEYWORDS="~amd64"
+
+src_unpack() {
+ default
+ mv "${WORKDIR}/goimapnotify-${GIT_COMMIT}" "${S}" || die
+}
+
+src_compile() {
+ LDFLAGS="-X main.commit=${GIT_COMMIT} -X main.gittag=${PV} -X main.branch=${GIT_BRANCH}"
+ ego build -ldflags "${LDFLAGS}" -gcflags '-N -l' ./cmd/goimapnotify
+}
+
+src_install() {
+ dobin goimapnotify
+}